Skip to main content
POST
/
payments
/
import
/
{employeeId}
cURL
curl --request POST \
  --url https://api.sandbox.flowpayroll.ai/v1/statutory-pay/payments/import/{employeeId} \
  --header 'Content-Type: application/json' \
  --header 'X-Auth-Token: <api-key>' \
  --data '
{
  "statutoryType": "<string>",
  "startDate": "<string>",
  "averageWeeklyEarnings": 123,
  "endDate": "<string>",
  "paidUntilDate": "<string>",
  "paidWeeks": 123,
  "qualifyingEventDate": "<string>",
  "requestedStartDate": "<string>",
  "isReceivingStatutoryMaternityPay": true,
  "previousSicknessPeriods": [
    {
      "startDate": "<string>",
      "endDate": "<string>",
      "wereFirstThreeDaysPaid": true
    }
  ],
  "workingDays": {
    "standardWorkingDays": {
      "monday": true,
      "tuesday": true,
      "wednesday": true,
      "thursday": true,
      "friday": true,
      "saturday": true,
      "sunday": true
    },
    "shiftPattern": {
      "rotationStartDate": "<string>",
      "shifts": [
        {
          "name": "<string>",
          "workingDays": {
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "durationInDays": 123,
          "weekNumber": 123
        }
      ],
      "patternType": "<string>",
      "patternWeeks": 123
    },
    "workingPattern": "<string>"
  },
  "isPrimaryParent": true,
  "previousPrimaryPayWeeks": 123,
  "otherParentShppWeeks": 123,
  "neonatalCareStartDate": "<string>",
  "neonatalCareEndDate": "<string>",
  "higherRateWeeks": 123,
  "higherRateAmount": 123,
  "standardRateWeeks": 123,
  "standardRateAmount": 123
}
'
{
  "content": {
    "data": {
      "statutoryId": "<string>",
      "employeeId": "<string>",
      "statutoryType": "<string>",
      "totalWeeks": 123,
      "paidWeeks": 123,
      "pendingWeeks": 123,
      "totalAmount": 123,
      "paidAmount": 123,
      "pendingAmount": 123
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

employeeId
string
required

Query Parameters

source
string

Body

application/json
statutoryType
string
startDate
string
averageWeeklyEarnings
number<double>
endDate
string | null
paidUntilDate
string | null
paidWeeks
number<double> | null
qualifyingEventDate
string | null
requestedStartDate
string | null
isReceivingStatutoryMaternityPay
boolean
previousSicknessPeriods
object[] | null
workingDays
object
isPrimaryParent
boolean
previousPrimaryPayWeeks
integer<int32> | null
otherParentShppWeeks
integer<int32> | null
neonatalCareStartDate
string | null
neonatalCareEndDate
string | null
higherRateWeeks
integer<int32> | null
higherRateAmount
number<double> | null
standardRateWeeks
integer<int32> | null
standardRateAmount
number<double> | null

Response

OK

content
object
metadata
object
errors
object[] | null
message
object